#ifndef USER_FATFS_H
#define USER_FATFS_H

#include <stdbool.h>
#include "diskio.h"
#include "ff.h"

#define PRIM_DRIVE        SPI_FLASH // Основной диск для хранения файлов Лога, прошивки, скриптов
#define SEC_DRIVE         USB       // Второстепенный диск для хранения файла прошивки

bool InitFS(BYTE drv);

/* Get fs file raw data */
uint32_t PutFileData(BYTE drv, char *file_name, unsigned long ptr, char *str, uint32_t size, bool truncate);

/* Get fs file raw data */
uint32_t GetFileData(BYTE drv, char *file_name, unsigned long ptr, char *str, uint32_t size);

//
void EraseFlash();

//
void flash_check_space(FATFS *fs);

//
bool fatfs_isinit(void);


#endif